# wx-reactive

## 安装
`npm i wx-reactive`

## 使用
1、新建一个store.js
```
import { createStore } from "wx-reactive";


// 数据
export const store = createStore({
   token: "",
});

```
2、app.js 引入这个文件(路径根据实际来)
`import "./store"`

3、页面调用
```
import { pageReactive } from "wx-reactive";
// 引入自己创建的store(路径根据实际来)
import { store } from "../../store/index";

Page(reactive({
   data: {
      token: "",
   },
   onChangeName() {
      store.token = "tokenNewValue";
   },
}));
```

4、组件调用(同上)
`pageReactive`换成`componentReactive`

## 持久缓存示例
const token = wx.getStorageSync("token");

// 数据
export const store = createStore(
   {
      token,
   }, 
   (prop, value) => {
      if (prop === "token") {
         wx.setStorageSync("token", value);
      }
   }
);

```