declare type StroreType = Record<string, unknown>;
/**
 * 创建Store
 * @param {*} state 数据
 */
interface StroreCallback {
    /**
     * store变更后的回调
     * @param prop 改动的属性
     * @param value 改动的值
     * @returns
     */
    (prop: string, value: unknown): void;
}
export declare function createStore(state: StroreType, callback?: StroreCallback): StroreType | Error;
/**
 * 获取store
 */
export declare function getStore(): StroreType;
export {};
