/// <reference types="types" />
/**
 * 用于存储小程序页面实例，更新页面值
 */
declare const instanceKey: unique symbol;
declare type WXinstance = WechatMiniprogram.Page.Instance<Record<string, unknown>, Record<string, unknown>>;
declare class InstanceStore {
    private [instanceKey];
    constructor();
    /**
     * 新增监听页面/组件
     * @param {*} instance 页面/组件实例
     */
    push(instance: WXinstance): void;
    /**
     * 移除监听
     * @param {*} instance 页面/组件实例
     */
    remove(instance: WXinstance): void;
    /**
     * 更新实例数据
     * @param {*} stateKey 需要更新的键
     * @param {*} stateValue 值
     */
    update(stateKey: string, stateValue: unknown): void;
}
export declare const instanceStore: InstanceStore;
export {};
