import { createStore } from "../dist/index";

// 缓存列表
const cacheList = {
   token: "Token"
}

/**
 * 获取缓存
 */
function getCache(key) {
   const storageProp = cacheList[key];

   if (storageProp === undefined) {
      return "";
   }

   return wx.getStorageSync(storageProp);
};

/**
 * 设置缓存
 */
function setCache(key, value) {
   const storageProp = cacheList[key];

   if (storageProp !== undefined) {
      wx.setStorageSync(storageProp, value);
   }
}

// 数据
const storeData = {
   token: getCache("token"),
}

// 数据
export const store = createStore(storeData, (prop, value) => {
   setCache(prop, value);
});
