module.exports = {
   env: {
      es2020: true,
      node: true,
   },
   extends: [
      "airbnb-base",
      "plugin:@typescript-eslint/recommended",
      "prettier/@typescript-eslint",
      "plugin:prettier/recommended",
   ],
   parser: "@typescript-eslint/parser",
   parserOptions: {
      ecmaVersion: 2020,
      sourceType: "module",
   },
   rules: {
      "no-console": "off",
      "no-debugger": "off",

      // 双引号
      quotes: ["error", "double"],

      // 强制使用 Windows 换行符
      "linebreak-style": "off",

      // for in 循环使用if
      "guard-for-in": "off",

      // 不使用new
      "no-new": "off",

      // 引入文件必须再packagejson声明
      "import/no-extraneous-dependencies": "off",

      // 自增 自减
      "no-plusplus": ["error", { allowForLoopAfterthoughts: true }],

      // 直接修改参数
      "no-param-reassign": "off",

      // 箭头函数使用括号
      "arrow-parens": ["error", "always"],

      // 只有一个使用默认导出
      "import/prefer-default-export": "off",

      // 该规则可以强制或禁止使用命名函数表达式。
      "func-names": "off",

      // 定义变量未使用
      "no-unused-vars": "warn",

      "import/extensions": [
         "error",
         "ignorePackages",
         {
            js: "never",
            jsx: "never",
            ts: "never",
            tsx: "never",
         },
      ],
   },

   settings: {
      "import/resolver": {
         node: {
            extensions: [".js", ".jsx", ".ts", ".tsx"],
         },
      },
   },
};
